# Function onEach

- onEach<T>(collection, eventType, callback): IHandle

- Listens for an event on each item in a collection.

  #### Type Parameters

  - T extends Evented

  #### Parameters

  - collection: Collection<T>

    The collection of items to watch.

  - eventType: EventNames<T>

    The event type to listen for.

  - callback: EventedCallback<T["@eventTypes"][EventNames<T>]>

    The callback to invoke.

  #### Returns IHandle